-- MySQL Script generated by MySQL Workbench
-- Mon Oct  5 12:52:30 2020
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';


-- -----------------------------------------------------
-- Table `tipo_regimen`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tipo_regimen` (
  `idRegimenIncorporacionInt` INT NOT NULL,
  `nombreRegimenIncorporacionStr` VARCHAR(255) NULL,
  `tipo_regimencol` VARCHAR(45) NULL,
  PRIMARY KEY (`idRegimenIncorporacionInt`),
  UNIQUE INDEX `idTipoRegimenInt_UNIQUE` (`idRegimenIncorporacionInt` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `estatus_entes`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `estatus_entes` (
  `idEstatusEnteInt` INT NOT NULL,
  `nombreEstatusEnte` VARCHAR(255) NULL,
  PRIMARY KEY (`idEstatusEnteInt`),
  UNIQUE INDEX `nombreEstatusEnte_UNIQUE` (`nombreEstatusEnte` ASC) ,
  UNIQUE INDEX `idEstatusEnteInt_UNIQUE` (`idEstatusEnteInt` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `gestion_ente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `gestion_ente` (
  `idGestionEnteInt` INT NOT NULL,
  `nombreTitularStr` VARCHAR(255) NULL,
  `fechaInicioGestionDte` DATE NULL,
  `fechaFinGestionDte` DATE NULL,
  `idEnteLng` INT NOT NULL,
  PRIMARY KEY (`idGestionEnteInt`),
  UNIQUE INDEX `idGestionEnteInt_UNIQUE` (`idGestionEnteInt` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `nota_autodeterminacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `nota_autodeterminacion` (
  `idNotaAutodeterminacionLng` INT NOT NULL,
  `notaAutodeterminacionStr` LONGTEXT NULL,
  `idRepresentanteLegalLng` INT NULL,
  `firmaElectrónica` VARCHAR(45) NULL,
  `idMovimientoCobroLng` INT NULL,
  PRIMARY KEY (`idNotaAutodeterminacionLng`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `documento_digitalizado`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `documento_digitalizado` (
  `idDocumentoLng` INT NOT NULL AUTO_INCREMENT,
  `idRelacionadoLng` INT NOT NULL,
  `idTipoDocumentoLng` INT NOT NULL,
  `ubicacionStr` TINYTEXT CHARACTER SET 'utf8' COLLATE 'utf8_spanish_ci' NULL DEFAULT NULL,
  `nota_autodeterminacion_idNotaAutodeterminacionLng` INT NOT NULL,
  PRIMARY KEY (`idDocumentoLng`, `idRelacionadoLng`, `idTipoDocumentoLng`, `nota_autodeterminacion_idNotaAutodeterminacionLng`),
  INDEX `fk_documento_digitalizado_nota_autodeterminacion1_idx` (`nota_autodeterminacion_idNotaAutodeterminacionLng` ASC) )
ENGINE = MyISAM
AUTO_INCREMENT = 8270
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `notificacion_baja`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `notificacion_baja` (
  `idNotificacionBajaLng` INT NOT NULL,
  `idNotificacionLng` INT NULL,
  `idTipoBaja` INT NULL,
  `idMotivoBaja` INT NULL,
  `observacionesBajaStr` INT NULL,
  PRIMARY KEY (`idNotificacionBajaLng`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `notificacion_alta`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `notificacion_alta` (
  `idNotificacionAltaLng` INT NOT NULL,
  `estatusStr` VARCHAR(50) NULL DEFAULT NULL,
  `rfcStr` VARCHAR(13) NULL DEFAULT NULL,
  `curpStr` VARCHAR(23) NULL DEFAULT NULL,
  `nssStr` VARCHAR(15) NULL DEFAULT NULL,
  `nombreStr` VARCHAR(100) NULL DEFAULT NULL,
  `primerApellidoStr` VARCHAR(50) NULL DEFAULT NULL,
  `segundoApellidoStr` VARCHAR(50) NULL DEFAULT NULL,
  `sexoStr` VARCHAR(20) NULL DEFAULT NULL,
  `fechaNacDte` DATE NULL DEFAULT NULL,
  `fechaDefuncion` DATE NULL DEFAULT NULL,
  `fechaIngreso` DATE NULL DEFAULT NULL,
  `estatusBloqueoStr` VARCHAR(20) NULL DEFAULT NULL,
  `telefono` VARCHAR(20) NULL DEFAULT NULL,
  `celularStr` VARCHAR(20) NULL DEFAULT NULL,
  `mail` VARCHAR(255) NULL DEFAULT NULL,
  `mailAlterno` VARCHAR(255) NULL DEFAULT NULL,
  `numeroIssstezacStr` VARCHAR(255) NULL DEFAULT NULL,
  `idEstadoCivilLng` INT NULL DEFAULT NULL,
  `idTipoDerechohabienteLng` INT NULL DEFAULT NULL,
  `idGrupoSanguineoLng` INT NULL DEFAULT NULL,
  `domicilio_idDomicilioLng` BIGINT NOT NULL,
  `beneficiarios_idBeneficiarioLng` INT NOT NULL,
  `TIPOVIAL` VARCHAR(255) NULL,
  `NOMVIAL` VARCHAR(255) NULL,
  `CARRETERA` VARCHAR(255) NULL,
  `CAMINO` VARCHAR(255) NULL,
  `NUMEXTNUM` INT NULL,
  `NUMEXTALF` VARCHAR(35) NULL,
  `NUMEXTANT` VARCHAR(35) NULL,
  `NUMINTNUM` INT NULL,
  `NUMINTALF` VARCHAR(35) NULL,
  `TIPOASEN` VARCHAR(255) NULL,
  `NOMASEN` VARCHAR(255) NULL,
  `CP` VARCHAR(5) NULL,
  `NOM_LOC` VARCHAR(255) NULL,
  `CVE_LOC` VARCHAR(4) NULL,
  `NOM_MUN` VARCHAR(255) NULL,
  `CVE_MUN` VARCHAR(3) NULL,
  `NOM_ENT` VARCHAR(255) NULL,
  `CVE_ENT` VARCHAR(2) NULL,
  `TIPOREF1` VARCHAR(255) NULL,
  `NOMREF1` VARCHAR(255) NULL,
  `TIPOREF2` VARCHAR(255) NULL,
  `NOMREF2` VARCHAR(255) NULL,
  `TIPOREF3` VARCHAR(255) NULL,
  `NOMREF3` VARCHAR(255) NULL,
  `DESCRUBIC` VARCHAR(255) NULL,
  `idTipoDomicilioLng` INT NULL,
  `idRelacionLaboralLng` INT NOT NULL,
  `estatusStr_copy1` VARCHAR(255) NULL DEFAULT NULL,
  `numeroEmpleadoStr` VARCHAR(255) NULL DEFAULT NULL,
  `fechaIngresoDte` DATE NULL DEFAULT NULL,
  `fechaBajaDefinitivaDte` DATE NULL DEFAULT NULL,
  `puestoStr` VARCHAR(100) NULL DEFAULT NULL,
  `credencialVigenteBit` INT NULL DEFAULT NULL,
  `credencialStr` VARCHAR(255) NULL DEFAULT NULL,
  `periodicidadInt` INT NULL DEFAULT NULL,
  `sueldoQuincenalDbl` DECIMAL(19,2) NULL DEFAULT '0.00',
  `sueldoBaseCotizacionDbl` DECIMAL(19,2) NULL DEFAULT NULL,
  `liquidezDbl` DECIMAL(19,2) NULL DEFAULT '0.000000',
  `liquidezApartadaDbl` DECIMAL(19,2) NULL DEFAULT '0.000000',
  `clabeStr` VARCHAR(255) NULL DEFAULT NULL,
  `cuentaBancariaStr` VARCHAR(255) NULL DEFAULT NULL,
  `idDerechohabienteLng` INT NULL DEFAULT NULL,
  `idSectorLng` INT NOT NULL,
  `idEnteLng` INT NULL DEFAULT NULL,
  `idMunicipioLng` INT NOT NULL,
  `idTipoRegimenLng` INT NULL DEFAULT NULL,
  `idLeyLng` INT NULL DEFAULT NULL,
  `idSindicatoLng` INT NULL DEFAULT NULL,
  `idBancoLng` INT NULL DEFAULT NULL,
  `idCentroCostosLng` INT NULL DEFAULT NULL,
  `idTabuladorLng` INT NULL DEFAULT NULL,
  `idNotifiacionLng` INT NULL,
  PRIMARY KEY (`idNotificacionAltaLng`),
  UNIQUE INDEX `idNotificacionAltaLng_UNIQUE` (`idNotificacionAltaLng` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `notificacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `notificacion` (
  `idNotificacionLng` INT NOT NULL,
  `idTipoNotificacion` INT NULL,
  `estatusNotificacionStr` VARCHAR(45) NULL,
  `fechaPresentacionDte` DATE NULL,
  `fechaEfectoDte` DATE NULL,
  `IdoportunidadPresentacionLng` INT NULL,
  `idUsuarioPresentacionLng` INT NULL,
  `idRepresentanteLegalLng` INT NULL,
  `idCalendarioCobrosLng` INT NULL,
  `notificacion_baja_idNotificacionBajaLng` INT NOT NULL,
  `notificacion_alta_idNotificacionAltaLng` INT NOT NULL,
  `idRelacionLaboralLng` INT NULL,
  `idDerechohabienteLng` INT NULL,
  `documento_digitalizado_idDocumentoLng` INT NOT NULL,
  `documento_digitalizado_idRelacionadoLng` INT NOT NULL,
  `documento_digitalizado_idTipoDocumentoLng` INT NOT NULL,
  PRIMARY KEY (`idNotificacionLng`),
  INDEX `fk_notificacion_notificacion_baja1_idx` (`notificacion_baja_idNotificacionBajaLng` ASC) ,
  INDEX `fk_notificacion_notificacion_alta1_idx` (`notificacion_alta_idNotificacionAltaLng` ASC) ,
  INDEX `fk_notificacion_documento_digitalizado1_idx` (`documento_digitalizado_idDocumentoLng` ASC, `documento_digitalizado_idRelacionadoLng` ASC, `documento_digitalizado_idTipoDocumentoLng` ASC) ,
  CONSTRAINT `fk_notificacion_notificacion_baja1`
    FOREIGN KEY (`notificacion_baja_idNotificacionBajaLng`)
    REFERENCES `notificacion_baja` (`idNotificacionBajaLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_notificacion_notificacion_alta1`
    FOREIGN KEY (`notificacion_alta_idNotificacionAltaLng`)
    REFERENCES `notificacion_alta` (`idNotificacionAltaLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_notificacion_documento_digitalizado1`
    FOREIGN KEY (`documento_digitalizado_idDocumentoLng` , `documento_digitalizado_idRelacionadoLng` , `documento_digitalizado_idTipoDocumentoLng`)
    REFERENCES `documento_digitalizado` (`idDocumentoLng` , `idRelacionadoLng` , `idTipoDocumentoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `representante_legal`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `representante_legal` (
  `idRepresentanteLegal` INT NOT NULL,
  `nombreRepresentanteStr` VARCHAR(50) NULL,
  `primerApellidoRepresentanteStr` VARCHAR(45) NULL,
  `segundoApellidoRepresentanteStr` VARCHAR(45) NULL,
  `rfcRepresentanteStr` VARCHAR(13) NULL,
  `curpRepresentanteStr` VARCHAR(25) NULL,
  `cargoRepresentanteStr` VARCHAR(255) NULL,
  `estatusRepresentanteStr` VARCHAR(10) NULL,
  `fechaInicioRepresentanteDte` DATE NULL,
  `fechaFinRepresentanteDte` DATE NULL,
  `idEnteLng` INT NULL,
  `notificacion_idNotificacionLng` INT NOT NULL,
  PRIMARY KEY (`idRepresentanteLegal`),
  UNIQUE INDEX `idRepresentanteLegal_UNIQUE` (`idRepresentanteLegal` ASC) ,
  INDEX `fk_representante_legal_notificacion1_idx` (`notificacion_idNotificacionLng` ASC) ,
  CONSTRAINT `documentos_representante`
    FOREIGN KEY (`idRepresentanteLegal`)
    REFERENCES `documento_digitalizado` (`idRelacionadoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_representante_legal_notificacion1`
    FOREIGN KEY (`notificacion_idNotificacionLng`)
    REFERENCES `notificacion` (`idNotificacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `entidad_federativa`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `entidad_federativa` (
  `idEntidadFederativaLng` INT NOT NULL,
  `nombreEntidadStr` VARCHAR(255) NULL DEFAULT NULL,
  `abreviaturaStr` VARCHAR(3) NULL DEFAULT NULL,
  PRIMARY KEY (`idEntidadFederativaLng`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `municipio`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `municipio` (
  `idMunicipioLng` INT NOT NULL,
  `nombreMunicipioStr` VARCHAR(255) NULL DEFAULT NULL,
  `numeroMunicipioInt` INT NULL DEFAULT NULL,
  `idEntidadFederativaLng` INT NOT NULL,
  PRIMARY KEY (`idMunicipioLng`),
  INDEX `FK53FF6AD186132782` (`idEntidadFederativaLng` ASC) ,
  CONSTRAINT `fk_municipios_entidad_federativa1`
    FOREIGN KEY (`idEntidadFederativaLng`)
    REFERENCES `entidad_federativa` (`idEntidadFederativaLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1
COMMENT = 'InnoDB free: 5120 kB; (`idEntidadFederativaLng`) REFER `sica';


-- -----------------------------------------------------
-- Table `sector`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `sector` (
  `idSectorLng` INT NOT NULL AUTO_INCREMENT,
  `nombreSectorStr` VARCHAR(255) NULL DEFAULT NULL,
  `letraIdentificadoraStr` VARCHAR(255) NULL DEFAULT NULL,
  `porcentajeAportacionDbl` DOUBLE NULL DEFAULT NULL,
  `porcentajeCuotaDbl` DOUBLE NULL DEFAULT NULL,
  PRIMARY KEY (`idSectorLng`))
ENGINE = InnoDB
AUTO_INCREMENT = 13
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `domicilio`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `domicilio` (
  `idDomicilioLng` BIGINT NOT NULL AUTO_INCREMENT,
  `TIPOVIAL` VARCHAR(255) NULL,
  `NOMVIAL` VARCHAR(255) NULL,
  `CARRETERA` VARCHAR(255) NULL,
  `CAMINO` VARCHAR(255) NULL,
  `NUMEXTNUM` INT NULL,
  `NUMEXTALF` VARCHAR(35) NULL,
  `NUMEXTANT` VARCHAR(35) NULL,
  `NUMINTNUM` INT NULL,
  `NUMINTALF` VARCHAR(35) NULL,
  `TIPOASEN` VARCHAR(255) NULL,
  `NOMASEN` VARCHAR(255) NULL,
  `CP` VARCHAR(5) NULL,
  `NOM_LOC` VARCHAR(255) NULL,
  `CVE_LOC` VARCHAR(4) NULL,
  `NOM_MUN` VARCHAR(255) NULL,
  `CVE_MUN` VARCHAR(3) NULL,
  `NOM_ENT` VARCHAR(255) NULL,
  `CVE_ENT` VARCHAR(2) NULL,
  `TIPOREF1` VARCHAR(255) NULL,
  `NOMREF1` VARCHAR(255) NULL,
  `TIPOREF2` VARCHAR(255) NULL,
  `NOMREF2` VARCHAR(255) NULL,
  `TIPOREF3` VARCHAR(255) NULL,
  `NOMREF3` VARCHAR(255) NULL,
  `DESCRUBIC` VARCHAR(255) NULL,
  `idTipoDomicilioLng` INT NULL,
  `idRelacionadoDomicilio` INT NULL,
  PRIMARY KEY (`idDomicilioLng`))
ENGINE = InnoDB
AUTO_INCREMENT = 4998
DEFAULT CHARACTER SET = latin1
COMMENT = 'InnoDB free: 5120 kB; (`idEntidadFederativaLng`) REFER `sica';


-- -----------------------------------------------------
-- Table `movimientos_cobros`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `movimientos_cobros` (
  `idMovimientoCobroLng` INT NOT NULL,
  `idPropuestaCobroLng` INT NULL,
  `idConceptoCobroLng` INT NULL,
  `estatusMovimientoStr` VARCHAR(45) NULL,
  `autodeterminacionStr` VARCHAR(45) NULL,
  `montoMovimiento` DECIMAL(19,2) NULL,
  `idRelacionLaboralLng` INT NULL,
  `idPagoAdeudo` INT NULL,
  `nota_autodeterminacion_idNotaAutodeterminacionLng` INT NOT NULL,
  `idConceptoEnteLng` INT NULL,
  PRIMARY KEY (`idMovimientoCobroLng`),
  INDEX `fk_movimientos_cobros_nota_autodeterminacion1_idx` (`nota_autodeterminacion_idNotaAutodeterminacionLng` ASC) ,
  CONSTRAINT `fk_movimientos_cobros_nota_autodeterminacion1`
    FOREIGN KEY (`nota_autodeterminacion_idNotaAutodeterminacionLng`)
    REFERENCES `nota_autodeterminacion` (`idNotaAutodeterminacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `propuesta_cobro`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `propuesta_cobro` (
  `idPropuestaCobroLng` INT NOT NULL,
  `idCalendarioCobrosLng` INT NULL,
  `firma_digital` VARCHAR(45) NULL,
  `movimientos_cobros_idMovimientoCobroLng` INT NOT NULL,
  PRIMARY KEY (`idPropuestaCobroLng`),
  INDEX `fk_propuesta_cobro_movimientos_cobros1_idx` (`movimientos_cobros_idMovimientoCobroLng` ASC) ,
  CONSTRAINT `fk_propuesta_cobro_movimientos_cobros1`
    FOREIGN KEY (`movimientos_cobros_idMovimientoCobroLng`)
    REFERENCES `movimientos_cobros` (`idMovimientoCobroLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `calendario_cobros`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `calendario_cobros` (
  `idCalendarioCobrosLng` INT NOT NULL AUTO_INCREMENT,
  `estatusCalendarioCobroStr` VARCHAR(45) NULL,
  `quincenaStr` VARCHAR(7) NOT NULL,
  `fechaCorteDte` DATE NULL DEFAULT NULL,
  `fechaEnvioDte` DATE NULL DEFAULT NULL,
  `fechaQuincenaDte` DATE NULL DEFAULT NULL,
  `fechaLimitePagoDte` DATE NULL DEFAULT NULL,
  `fechaAutodeterminacionDte` DATE NULL,
  `fechaRecepcionPagoDte` DATE NULL,
  `fechaApicacionMovimientosDte` DATE NULL DEFAULT NULL,
  `idEnteLng` INT NULL DEFAULT NULL,
  `propuesta_cobro_idPropuestaCobroLng` INT NOT NULL,
  PRIMARY KEY (`idCalendarioCobrosLng`),
  INDEX `FK5C1E4DCEC86874BE` (`idEnteLng` ASC) ,
  INDEX `fk_calendario_cobros_propuesta_cobro1_idx` (`propuesta_cobro_idPropuestaCobroLng` ASC) ,
  CONSTRAINT `fk_calendario_cobros_propuesta_cobro1`
    FOREIGN KEY (`propuesta_cobro_idPropuestaCobroLng`)
    REFERENCES `propuesta_cobro` (`idPropuestaCobroLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 4143
DEFAULT CHARACTER SET = latin1
COMMENT = 'InnoDB free: 5120 kB; (`idTipoNominaLng`) REFER `sicafip/C_T';


-- -----------------------------------------------------
-- Table `concepto_ente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `concepto_ente` (
  `idConceptoEnteLng` INT NOT NULL,
  `idConceptoCobroLng` INT NULL,
  `idEnteLng` VARCHAR(45) NULL,
  `tipoConcepto` VARCHAR(45) NULL,
  `conceptoEnteStr` VARCHAR(50) NULL,
  `descripcionConceptoStr` VARCHAR(255) NULL,
  `conceptoPermanenteLng` INT NULL,
  `conceptoGrabableLng` INT NULL,
  `esCuotaLng` INT NULL,
  `cuentaLiquidez` INT NULL,
  `cuentaPension` INT NULL,
  PRIMARY KEY (`idConceptoEnteLng`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `ente_publico`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ente_publico` (
  `idEnteLng` INT NOT NULL AUTO_INCREMENT,
  `nombreEnteStr` VARCHAR(255) NOT NULL,
  `rfcPatronalStr` VARCHAR(50) NOT NULL,
  `telefonoStr` VARCHAR(45) NOT NULL,
  `clasificacionStr` VARCHAR(45) NOT NULL,
  `fechaIncorporacionDte` DATE NULL,
  `fechaDesincorporacionDte` DATE NULL,
  `porcentajeCuotaDbl` DOUBLE NOT NULL,
  `porcentajeAportacionDbl` DOUBLE NOT NULL,
  `claveRegistroPatronal` VARCHAR(45) NULL,
  `idRegimenIncorporacionInt` INT NOT NULL,
  `idEstatusEnteInt` INT NOT NULL,
  `representante_legal_idRepresentanteLegal` INT NOT NULL,
  `tabulador_idTabuladorLng` INT NOT NULL,
  `domicilio_idDomicilioLng` BIGINT NOT NULL,
  `calendario_cobros_idCalendarioCobrosLng` INT NOT NULL,
  `concepto_ente_idConceptoEnteLng` INT NOT NULL,
  UNIQUE INDEX `nombreStr` (`nombreEnteStr` ASC) ,
  INDEX `fk_ente_publico_estatus_entes1_idx` (`idEstatusEnteInt` ASC) ,
  INDEX `fk_ente_publico_tipo_regimen1_idx` (`idRegimenIncorporacionInt` ASC) ,
  INDEX `fk_ente_publico_representante_legal1_idx` (`representante_legal_idRepresentanteLegal` ASC) ,
  INDEX `fk_ente_publico_tabulador1_idx` (`tabulador_idTabuladorLng` ASC) ,
  INDEX `dcumentos_ente_idx` (`idEnteLng` ASC) ,
  INDEX `fk_ente_publico_domicilio1_idx` (`domicilio_idDomicilioLng` ASC) ,
  INDEX `fk_ente_publico_calendario_cobros1_idx` (`calendario_cobros_idCalendarioCobrosLng` ASC) ,
  INDEX `fk_ente_publico_concepto_ente1_idx` (`concepto_ente_idConceptoEnteLng` ASC) ,
  CONSTRAINT `fk_ente_publico_estatus_entes1`
    FOREIGN KEY (`idEstatusEnteInt`)
    REFERENCES `estatus_entes` (`idEstatusEnteInt`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_tipo_regimen1`
    FOREIGN KEY (`idRegimenIncorporacionInt`)
    REFERENCES `tipo_regimen` (`idRegimenIncorporacionInt`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_gestion_ente1`
    FOREIGN KEY (`idEnteLng`)
    REFERENCES `gestion_ente` (`idGestionEnteInt`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_representante_legal1`
    FOREIGN KEY (`representante_legal_idRepresentanteLegal`)
    REFERENCES `representante_legal` (`idRepresentanteLegal`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_tabulador1`
    FOREIGN KEY (`tabulador_idTabuladorLng`)
    REFERENCES `tabulador` (`idTabuladorLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `documentos_ente`
    FOREIGN KEY (`idEnteLng`)
    REFERENCES `documento_digitalizado` (`idRelacionadoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_domicilio1`
    FOREIGN KEY (`domicilio_idDomicilioLng`)
    REFERENCES `domicilio` (`idDomicilioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_calendario_cobros1`
    FOREIGN KEY (`calendario_cobros_idCalendarioCobrosLng`)
    REFERENCES `calendario_cobros` (`idCalendarioCobrosLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ente_publico_concepto_ente1`
    FOREIGN KEY (`concepto_ente_idConceptoEnteLng`)
    REFERENCES `concepto_ente` (`idConceptoEnteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 61
DEFAULT CHARACTER SET = latin1
COMMENT = 'InnoDB free: 5120 kB; (`idOrganismoLng`) REFER `sicafip/C_OR';


-- -----------------------------------------------------
-- Table `banco`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `banco` (
  `idBancoLng` INT NOT NULL AUTO_INCREMENT,
  `nombreStr` VARCHAR(255) NULL DEFAULT NULL,
  `numeroBancoStr` VARCHAR(255) NULL DEFAULT NULL,
  PRIMARY KEY (`idBancoLng`),
  UNIQUE INDEX `nombreStr` (`nombreStr` ASC) )
ENGINE = InnoDB
AUTO_INCREMENT = 14
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `periodo_cotizacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `periodo_cotizacion` (
  `idPeriodoCotizacionLng` INT NOT NULL,
  `idRelacionLaboralLng` INT NULL,
  `estatusPeriodoStr` VARCHAR(45) NULL,
  `sueldoCotizacion` DECIMAL(19,2) NULL,
  `fechaInicioDte` DATE NULL,
  `fechaFinDte` DATE NULL,
  `idTipoBaja` INT NULL,
  `idMotivoBaja` INT NULL,
  PRIMARY KEY (`idPeriodoCotizacionLng`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `relacion_laboral`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `relacion_laboral` (
  `idRelacionLaboralLng` INT NOT NULL AUTO_INCREMENT,
  `estatusStr` VARCHAR(255) NULL DEFAULT NULL,
  `numeroEmpleadoStr` VARCHAR(255) NULL DEFAULT NULL,
  `fechaIngresoDte` DATE NULL DEFAULT NULL,
  `fechaBajaDefinitivaDte` DATE NULL DEFAULT NULL,
  `puestoStr` VARCHAR(100) NULL DEFAULT NULL,
  `credencialVigenteBit` INT NULL DEFAULT NULL,
  `credencialStr` VARCHAR(255) NULL DEFAULT NULL,
  `periodicidadInt` INT NULL DEFAULT NULL,
  `sueldoQuincenalDbl` DECIMAL(19,2) NULL DEFAULT '0.00',
  `sueldoBaseCotizacionDbl` DECIMAL(19,2) NULL DEFAULT NULL,
  `liquidezDbl` DECIMAL(19,2) NULL DEFAULT '0.000000',
  `liquidezApartadaDbl` DECIMAL(19,2) NULL DEFAULT '0.000000',
  `clabeStr` VARCHAR(255) NULL DEFAULT NULL,
  `cuentaBancariaStr` VARCHAR(255) NULL DEFAULT NULL,
  `idDerechohabienteLng` INT NULL DEFAULT NULL,
  `idSectorLng` INT NOT NULL,
  `idEnteLng` INT NULL DEFAULT NULL,
  `idMunicipioLng` INT NOT NULL,
  `idTipoRegimenLng` INT NULL DEFAULT NULL,
  `idLeyLng` INT NULL DEFAULT NULL,
  `idBancoLng` INT NULL DEFAULT NULL,
  `idCentroCostosLng` INT NULL DEFAULT NULL,
  `idTabuladorLng` INT NULL DEFAULT NULL,
  `idSindicatoLng` INT NULL,
  `periodo_cotizacion_idPeriodoCotizacionLng` INT NOT NULL,
  `notificacion_idNotificacionLng` INT NOT NULL,
  `movimientos_cobros_idMovimientoCobroLng` INT NOT NULL,
  PRIMARY KEY (`idRelacionLaboralLng`),
  INDEX `FKD1CDA5A9BAAF1C02` USING BTREE (`idBancoLng`) ,
  INDEX `FKD1CDA5A9F70227A2` USING BTREE (`idDerechohabienteLng`) ,
  INDEX `FKD1CDA5A979B0248` USING BTREE (`idSectorLng`) ,
  INDEX `FKD1CDA5A95D3FC262` USING BTREE (`idEnteLng`) ,
  INDEX `FKD1CDA5A9D2BED042` USING BTREE (`idMunicipioLng`) ,
  INDEX `estatusStr` (`estatusStr` ASC, `numeroEmpleadoStr` ASC) ,
  INDEX `fk_relacion_laboral_sectores1_idx` (`idSectorLng` ASC) ,
  INDEX `fk_relacion_laboral_periodo_cotizacion1_idx` (`periodo_cotizacion_idPeriodoCotizacionLng` ASC) ,
  INDEX `fk_relacion_laboral_notificacion1_idx` (`notificacion_idNotificacionLng` ASC) ,
  INDEX `fk_relacion_laboral_movimientos_cobros1_idx` (`movimientos_cobros_idMovimientoCobroLng` ASC) ,
  CONSTRAINT `fk_relacion_laboral_c_municipios1`
    FOREIGN KEY (`idMunicipioLng`)
    REFERENCES `municipio` (`idMunicipioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_relacion_laboral_sectores1`
    FOREIGN KEY (`idSectorLng`)
    REFERENCES `sector` (`idSectorLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_relacion_laboral_ente_publico1`
    FOREIGN KEY (`idEnteLng`)
    REFERENCES `ente_publico` (`idEnteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_relacion_laboral_banco1`
    FOREIGN KEY (`idBancoLng`)
    REFERENCES `banco` (`idBancoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_relacion_laboral_periodo_cotizacion1`
    FOREIGN KEY (`periodo_cotizacion_idPeriodoCotizacionLng`)
    REFERENCES `periodo_cotizacion` (`idPeriodoCotizacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_relacion_laboral_notificacion1`
    FOREIGN KEY (`notificacion_idNotificacionLng`)
    REFERENCES `notificacion` (`idNotificacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_relacion_laboral_movimientos_cobros1`
    FOREIGN KEY (`movimientos_cobros_idMovimientoCobroLng`)
    REFERENCES `movimientos_cobros` (`idMovimientoCobroLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 32916
DEFAULT CHARACTER SET = latin1
COMMENT = 'InnoDB free: 5120 kB; (`idDependenciaLng`) REFER `sicafip/C_';


-- -----------------------------------------------------
-- Table `notificacion_modificacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `notificacion_modificacion` (
  `idNotificacionModificacion` INT NOT NULL,
  `sueldoAnterorDbl` DECIMAL(19,2) NULL,
  `nuevoSueldoDbl` DECIMAL(19,2) NULL,
  `idMotivoModificacion` INT NULL,
  `categoriaAnteriorStr` VARCHAR(45) NULL,
  `nuevaCategoriaStr` VARCHAR(45) NULL,
  `idTabuladorng` INT NULL,
  `notificacion_idNotificacionLng` INT NOT NULL,
  PRIMARY KEY (`idNotificacionModificacion`),
  INDEX `fk_notificacion_modificacion_notificacion1_idx` (`notificacion_idNotificacionLng` ASC) ,
  CONSTRAINT `fk_notificacion_modificacion_notificacion1`
    FOREIGN KEY (`notificacion_idNotificacionLng`)
    REFERENCES `notificacion` (`idNotificacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tabulador`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tabulador` (
  `idTabuladorLng` INT NOT NULL,
  `idEnteLng` INT NULL,
  `relacion_laboral_idRelacionLaboralLng` INT NOT NULL,
  `notificacion_alta_idNotificacionAltaLng` INT NOT NULL,
  `notificacion_modificacion_idNotificacionModificacion` INT NOT NULL,
  PRIMARY KEY (`idTabuladorLng`),
  UNIQUE INDEX `idTabuladorLng_UNIQUE` (`idTabuladorLng` ASC) ,
  INDEX `fk_tabulador_relacion_laboral_idx` (`relacion_laboral_idRelacionLaboralLng` ASC) ,
  INDEX `fk_tabulador_notificacion_alta1_idx` (`notificacion_alta_idNotificacionAltaLng` ASC) ,
  INDEX `fk_tabulador_notificacion_modificacion1_idx` (`notificacion_modificacion_idNotificacionModificacion` ASC) ,
  CONSTRAINT `fk_tabulador_relacion_laboral`
    FOREIGN KEY (`relacion_laboral_idRelacionLaboralLng`)
    REFERENCES `relacion_laboral` (`idRelacionLaboralLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tabulador_notificacion_alta1`
    FOREIGN KEY (`notificacion_alta_idNotificacionAltaLng`)
    REFERENCES `notificacion_alta` (`idNotificacionAltaLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tabulador_notificacion_modificacion1`
    FOREIGN KEY (`notificacion_modificacion_idNotificacionModificacion`)
    REFERENCES `notificacion_modificacion` (`idNotificacionModificacion`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `tipo_documento`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tipo_documento` (
  `idTipoDocumentoLng` INT NOT NULL,
  `categoriaDocumentoStr` VARCHAR(255) NULL,
  `nombreDocumentoStr` VARCHAR(45) NULL,
  `documento_digitalizado_idDocumentoLng` INT NOT NULL,
  PRIMARY KEY (`idTipoDocumentoLng`),
  INDEX `fk_tipo_documento_documento_digitalizado1_idx` (`documento_digitalizado_idDocumentoLng` ASC) ,
  CONSTRAINT `fk_tipo_documento_documento_digitalizado1`
    FOREIGN KEY (`documento_digitalizado_idDocumentoLng`)
    REFERENCES `documento_digitalizado` (`idDocumentoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `asignacion_ambito`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `asignacion_ambito` (
  `idAsignacionAmbitoLng` INT NOT NULL AUTO_INCREMENT,
  `idUsuarioLng` INT NULL DEFAULT NULL,
  `idEnteLng` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idAsignacionAmbitoLng`),
  INDEX `ambito_entes_idx` (`idEnteLng` ASC) ,
  CONSTRAINT `ambito_entes`
    FOREIGN KEY (`idEnteLng`)
    REFERENCES `ente_publico` (`idEnteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 2708
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `roles`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `roles` (
  `idRolLng` INT NOT NULL AUTO_INCREMENT,
  `nombreRolStr` VARCHAR(30) NULL DEFAULT NULL,
  `descripcionStr` VARCHAR(60) NULL DEFAULT NULL,
  `siguiente_nivel_con_normatividad` INT NULL DEFAULT NULL,
  `estatus_autorizacion_con_normatividad` VARCHAR(255) NULL DEFAULT NULL,
  `siguiente_nivel_no_cumple_normatividad` INT NULL DEFAULT NULL,
  `estatus_no_cumple_normatividad` VARCHAR(255) NULL DEFAULT NULL,
  PRIMARY KEY (`idRolLng`))
ENGINE = InnoDB
AUTO_INCREMENT = 9001
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `asignacion_roles`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `asignacion_roles` (
  `idAsignacionRolesLng` INT NOT NULL AUTO_INCREMENT,
  `idUsuarioLng` INT NULL DEFAULT NULL,
  `idRolLng` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idAsignacionRolesLng`),
  UNIQUE INDEX `id_asignacionroles_UNIQUE` (`idAsignacionRolesLng` ASC) ,
  INDEX `fk_asignacion_roles_roles1_idx` (`idRolLng` ASC) ,
  CONSTRAINT `fk_asignacion_roles_roles1`
    FOREIGN KEY (`idRolLng`)
    REFERENCES `roles` (`idRolLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 650
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `estado_civil`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `estado_civil` (
  `idEstadoCivilLng` INT NOT NULL,
  `nombreEstadoCivilStr` VARCHAR(255) NOT NULL,
  PRIMARY KEY (`idEstadoCivilLng`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `parentesco`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `parentesco` (
  `idParentescoLng` INT NOT NULL AUTO_INCREMENT,
  `nombreParentescoStr` VARCHAR(255) NULL DEFAULT NULL,
  `documento_digitalizado_idDocumentoLng` INT NOT NULL,
  `documento_digitalizado_idRelacionadoLng` INT NOT NULL,
  `documento_digitalizado_idTipoDocumentoLng` INT NOT NULL,
  `documento_digitalizado_nota_auto_idNotaAutoLng` INT NOT NULL,
  PRIMARY KEY (`idParentescoLng`),
  INDEX `fk_parentezco_documento_digitalizado1_idx` (`documento_digitalizado_idDocumentoLng` ASC, `documento_digitalizado_idRelacionadoLng` ASC, `documento_digitalizado_idTipoDocumentoLng` ASC, `documento_digitalizado_nota_auto_idNotaAutoLng` ASC) ,
  CONSTRAINT `fk_parentezco_documento_digitalizado1`
    FOREIGN KEY (`documento_digitalizado_idDocumentoLng` , `documento_digitalizado_idRelacionadoLng` , `documento_digitalizado_idTipoDocumentoLng` , `documento_digitalizado_nota_auto_idNotaAutoLng`)
    REFERENCES `documento_digitalizado` (`idDocumentoLng` , `idRelacionadoLng` , `idTipoDocumentoLng` , `nota_autodeterminacion_idNotaAutodeterminacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 7
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `beneficiarios`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `beneficiarios` (
  `idBeneficiarioLng` INT NOT NULL AUTO_INCREMENT,
  `estatusStr` VARCHAR(255) NULL DEFAULT NULL,
  `rfcStr` VARCHAR(255) NULL DEFAULT NULL,
  `curpStr` VARCHAR(255) NULL DEFAULT NULL,
  `nombreStr` VARCHAR(255) NULL DEFAULT NULL,
  `primerApellidoStr` VARCHAR(255) NULL DEFAULT NULL,
  `segundoApellidoStr` VARCHAR(255) NULL DEFAULT NULL,
  `fechaNacimientoDte` DATE NULL DEFAULT NULL,
  `sexoStr` VARCHAR(255) NULL DEFAULT NULL,
  `TelefonoStr` VARCHAR(255) NULL DEFAULT NULL,
  `esDerechohabienteBool` INT NULL DEFAULT NULL,
  `observacionesStr` VARCHAR(255) NULL DEFAULT NULL,
  `idDerechohabienteLng` INT NULL DEFAULT NULL,
  `idParentescoLng` INT NULL DEFAULT NULL,
  `idEstadoCivilLng` INT NULL DEFAULT NULL,
  `idMunicipioLng` INT NULL DEFAULT NULL,
  `idGrupoSanguineoLng` INT NULL DEFAULT NULL,
  `domicilio_idDomicilioLng` BIGINT NOT NULL,
  `municipio_idMunicipioLng` INT NOT NULL,
  `estado_civil_idEstadoCivilLng` INT NOT NULL,
  `parentezco_idParentescoLng` INT NOT NULL,
  `documento_digitalizado_idDocumentoLng` INT NOT NULL,
  `documento_digitalizado_idRelacionadoLng` INT NOT NULL,
  `documento_digitalizado_idTipoDocumentoLng` INT NOT NULL,
  PRIMARY KEY (`idBeneficiarioLng`),
  INDEX `FK489CFB59D41968E2` USING BTREE (`idEstadoCivilLng`) ,
  INDEX `FK489CFB59F70227A2` USING BTREE (`idDerechohabienteLng`) ,
  INDEX `FK489CFB591D2408` USING BTREE (`idParentescoLng`) ,
  INDEX `FK489CFB59D2BED042` USING BTREE (`idMunicipioLng`) ,
  INDEX `fk_beneficiarios_domicilio1_idx` (`domicilio_idDomicilioLng` ASC) ,
  INDEX `fk_beneficiarios_municipio1_idx` (`municipio_idMunicipioLng` ASC) ,
  INDEX `fk_beneficiarios_estado_civil1_idx` (`estado_civil_idEstadoCivilLng` ASC) ,
  INDEX `fk_beneficiarios_parentezco1_idx` (`parentezco_idParentescoLng` ASC) ,
  INDEX `fk_beneficiarios_documento_digitalizado1_idx` (`documento_digitalizado_idDocumentoLng` ASC, `documento_digitalizado_idRelacionadoLng` ASC, `documento_digitalizado_idTipoDocumentoLng` ASC) ,
  CONSTRAINT `fk_beneficiarios_domicilio1`
    FOREIGN KEY (`domicilio_idDomicilioLng`)
    REFERENCES `domicilio` (`idDomicilioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_beneficiarios_municipio1`
    FOREIGN KEY (`municipio_idMunicipioLng`)
    REFERENCES `municipio` (`idMunicipioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_beneficiarios_estado_civil1`
    FOREIGN KEY (`estado_civil_idEstadoCivilLng`)
    REFERENCES `estado_civil` (`idEstadoCivilLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_beneficiarios_parentezco1`
    FOREIGN KEY (`parentezco_idParentescoLng`)
    REFERENCES `parentesco` (`idParentescoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_beneficiarios_documento_digitalizado1`
    FOREIGN KEY (`documento_digitalizado_idDocumentoLng` , `documento_digitalizado_idRelacionadoLng` , `documento_digitalizado_idTipoDocumentoLng`)
    REFERENCES `documento_digitalizado` (`idDocumentoLng` , `idRelacionadoLng` , `idTipoDocumentoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 9906
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `ley`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `ley` (
  `idLeyLng` INT NOT NULL AUTO_INCREMENT,
  `nombreLeyStr` VARCHAR(50) CHARACTER SET 'utf8' COLLATE 'utf8_spanish_ci' NULL DEFAULT NULL,
  `descripcionStr` VARCHAR(255) CHARACTER SET 'utf8' COLLATE 'utf8_spanish_ci' NULL DEFAULT NULL,
  `relacion_laboral_idRelacionLaboralLng` INT NOT NULL,
  PRIMARY KEY (`idLeyLng`),
  INDEX `fk_ley_relacion_laboral1_idx` (`relacion_laboral_idRelacionLaboralLng` ASC) )
ENGINE = MyISAM
AUTO_INCREMENT = 3
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `parametros_sistema`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `parametros_sistema` (
  `idParametrosSistemaLng` BIGINT NOT NULL AUTO_INCREMENT,
  `estatusInt` INT NOT NULL,
  `observacionesStr` VARCHAR(255) NULL DEFAULT NULL,
  `tipoCierreInt` INT NOT NULL,
  `horaCierreDte` TIME NULL DEFAULT NULL,
  `salarioMinimoBid` DECIMAL(19,2) NOT NULL,
  `inflacionDbl` DOUBLE NOT NULL,
  `TIIEDbl` DOUBLE NULL DEFAULT NULL,
  `tiempoExpiraChequeInt` INT NOT NULL,
  `pLiquidezDerechohabienteInt` DOUBLE NOT NULL,
  `plazoDevolucionCuotasInt` INT NOT NULL,
  `pInteresEntregaPersonalDbl` DOUBLE NOT NULL,
  `plazoReintegrarIndemnizacionInt` INT NULL DEFAULT NULL,
  PRIMARY KEY (`idParametrosSistemaLng`))
ENGINE = InnoDB
AUTO_INCREMENT = 36
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `sindicato`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `sindicato` (
  `idSindicatoLng` INT NOT NULL AUTO_INCREMENT,
  `nombreSindicatoStr` VARCHAR(20) CHARACTER SET 'latin1' NULL DEFAULT NULL,
  `descripcionStr` VARCHAR(50) CHARACTER SET 'latin1' NULL DEFAULT NULL,
  `relacion_laboral_idRelacionLaboralLng` INT NOT NULL,
  PRIMARY KEY (`idSindicatoLng`),
  INDEX `fk_sindicato_relacion_laboral1_idx` (`relacion_laboral_idRelacionLaboralLng` ASC) )
ENGINE = MyISAM
AUTO_INCREMENT = 6
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `asignacion_sucursales`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `asignacion_sucursales` (
  `idAsignacionSucursalLng` INT NOT NULL AUTO_INCREMENT,
  `idUsuarioLng` INT NULL DEFAULT NULL,
  `idSucursarlLng` INT NULL,
  PRIMARY KEY (`idAsignacionSucursalLng`),
  UNIQUE INDEX `id_asignacionroles_UNIQUE` (`idAsignacionSucursalLng` ASC) )
ENGINE = InnoDB
AUTO_INCREMENT = 650
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `sucursal`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `sucursal` (
  `idUnidadFilialLng` BIGINT NOT NULL AUTO_INCREMENT,
  `nombreStr` VARCHAR(255) NULL DEFAULT NULL,
  `asignacion_sucursales_idAsignacionSucursalLng` INT NOT NULL,
  `idTipoSucursalLng` INT NULL,
  `c_sucursalcol` VARCHAR(45) NULL,
  `domicilio_idDomicilioLng` BIGINT NOT NULL,
  PRIMARY KEY (`idUnidadFilialLng`),
  UNIQUE INDEX `nombreStr` USING BTREE (`nombreStr`) ,
  INDEX `fk_c_sucursal_asignacion_sucursales1_idx` (`asignacion_sucursales_idAsignacionSucursalLng` ASC) ,
  INDEX `fk_sucursal_domicilio1_idx` (`domicilio_idDomicilioLng` ASC) ,
  CONSTRAINT `fk_c_sucursal_asignacion_sucursales1`
    FOREIGN KEY (`asignacion_sucursales_idAsignacionSucursalLng`)
    REFERENCES `asignacion_sucursales` (`idAsignacionSucursalLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_sucursal_domicilio1`
    FOREIGN KEY (`domicilio_idDomicilioLng`)
    REFERENCES `domicilio` (`idDomicilioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 24
DEFAULT CHARACTER SET = latin1
COMMENT = 'InnoDB free: 5120 kB; (`idTipoUnidadLng`) REFER `sicafip/C_T';


-- -----------------------------------------------------
-- Table `tipo_derechohabiente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tipo_derechohabiente` (
  `idTipoDerechohabienteLng` INT NOT NULL,
  `descripcionStr` VARCHAR(255) NULL DEFAULT NULL,
  `inicialTipoDerechohabienteStr` VARCHAR(255) NULL DEFAULT NULL,
  PRIMARY KEY (`idTipoDerechohabienteLng`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `tipo_sucursal`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tipo_sucursal` (
  `idTipoSucursalLng` BIGINT NOT NULL,
  `nombreTipoSucursalStr` VARCHAR(255) NULL DEFAULT NULL,
  `c_sucursal_idUnidadFilialLng` BIGINT NOT NULL,
  PRIMARY KEY (`idTipoSucursalLng`),
  UNIQUE INDEX `nombreStr` (`nombreTipoSucursalStr` ASC) ,
  INDEX `fk_c_tipo_sucursal_c_sucursal1_idx` (`c_sucursal_idUnidadFilialLng` ASC) ,
  CONSTRAINT `fk_c_tipo_sucursal_c_sucursal1`
    FOREIGN KEY (`c_sucursal_idUnidadFilialLng`)
    REFERENCES `sucursal` (`idUnidadFilialLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `cuota_aportacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `cuota_aportacion` (
  `idCuotaAportacionLng` BIGINT NOT NULL AUTO_INCREMENT,
  `quincena` VARCHAR(255) NULL DEFAULT NULL,
  `montoCuotaDbl` DECIMAL(19,2) NULL DEFAULT NULL,
  `montoAportacionDbl` DECIMAL(19,2) NULL,
  `porcentajeCuotaLng` DECIMAL(2,2) NULL DEFAULT NULL,
  `sueldoCotizacionDbl` DECIMAL(19,2) NULL DEFAULT NULL,
  `fechaPagoDte` DATE NULL DEFAULT NULL,
  `porcentajeAportacion` DECIMAL(2,2) NULL,
  `formaPagoInt` VARCHAR(255) NULL DEFAULT NULL,
  `conceptoInt` INT NULL DEFAULT NULL,
  `devueltaInt` INT NULL DEFAULT NULL,
  `idRelacionLaboralLng` INT NULL DEFAULT NULL,
  `idDerechohabienteLng` INT NULL DEFAULT NULL,
  `idGeneracionLng` INT NULL DEFAULT NULL,
  `relacion_laboral_idRelacionLaboralLng` INT NOT NULL,
  PRIMARY KEY (`idCuotaAportacionLng`),
  UNIQUE INDEX `tipoInt` (`conceptoInt` ASC, `quincena` ASC, `idRelacionLaboralLng` ASC) ,
  INDEX `FKF9BEDF99F70227A2` (`idDerechohabienteLng` ASC) ,
  INDEX `FKF9BEDF99DB4906C2` (`idRelacionLaboralLng` ASC) ,
  INDEX `fk_cuotas_relacion_laboral1_idx` (`relacion_laboral_idRelacionLaboralLng` ASC) ,
  CONSTRAINT `fk_cuotas_relacion_laboral1`
    FOREIGN KEY (`relacion_laboral_idRelacionLaboralLng`)
    REFERENCES `relacion_laboral` (`idRelacionLaboralLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 310
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `grupo_sanguineo`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `grupo_sanguineo` (
  `idGrupoSanguineoLng` INT NOT NULL,
  `grupoSanguineoStr` VARCHAR(255) NOT NULL,
  `beneficiarios_idBeneficiarioLng` INT NOT NULL,
  PRIMARY KEY (`idGrupoSanguineoLng`),
  CONSTRAINT `fk_grupo_sanguineo_beneficiarios1`
    FOREIGN KEY (`idGrupoSanguineoLng`)
    REFERENCES `beneficiarios` (`idBeneficiarioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `derechohabiente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `derechohabiente` (
  `idDerechohabienteLng` INT NOT NULL,
  `estatusStr` VARCHAR(50) NULL DEFAULT NULL,
  `rfcStr` VARCHAR(13) NULL DEFAULT NULL,
  `curpStr` VARCHAR(23) NULL DEFAULT NULL,
  `nssStr` VARCHAR(15) NULL DEFAULT NULL,
  `nombreStr` VARCHAR(100) NULL DEFAULT NULL,
  `primerApellidoStr` VARCHAR(50) NULL DEFAULT NULL,
  `segundoApellidoStr` VARCHAR(50) NULL DEFAULT NULL,
  `sexoStr` VARCHAR(20) NULL DEFAULT NULL,
  `fechaNacDte` DATE NULL DEFAULT NULL,
  `fechaDefuncion` DATE NULL DEFAULT NULL,
  `fechaIngreso` DATE NULL DEFAULT NULL,
  `estatusBloqueoStr` VARCHAR(20) NULL DEFAULT NULL,
  `telefonolng` INT NULL DEFAULT NULL,
  `celularLng` INT NULL,
  `mailStr` VARCHAR(255) NULL DEFAULT NULL,
  `mailAlternoStr` VARCHAR(255) NULL DEFAULT NULL,
  `numeroIssstezacStr` VARCHAR(255) NULL DEFAULT NULL,
  `idEstadoCivilLng` INT NULL DEFAULT NULL,
  `idTipoDerechohabienteLng` INT NULL DEFAULT NULL,
  `idGrupoSanguineoLng` INT NULL DEFAULT NULL,
  `domicilio_idDomicilioLng` BIGINT NOT NULL,
  `beneficiarios_idBeneficiarioLng` INT NOT NULL,
  `notificacion_idNotificacionLng` INT NOT NULL,
  INDEX `FKC018D770C2ED2582` USING BTREE (`idTipoDerechohabienteLng`) ,
  INDEX `FKC018D770D41968E2` USING BTREE (`idEstadoCivilLng`) ,
  INDEX `FKC018D7701556A868` USING BTREE (`idGrupoSanguineoLng`) ,
  INDEX `fk_derechohabientes_relacion_laboral_idx` (`idDerechohabienteLng` ASC) ,
  PRIMARY KEY (`idDerechohabienteLng`),
  INDEX `fk_derechohabiente_domicilio1_idx` (`domicilio_idDomicilioLng` ASC) ,
  INDEX `fk_derechohabiente_beneficiarios1_idx` (`beneficiarios_idBeneficiarioLng` ASC) ,
  INDEX `fk_derechohabiente_notificacion1_idx` (`notificacion_idNotificacionLng` ASC) ,
  CONSTRAINT `fk_derechohabientes_relacion_laboral`
    FOREIGN KEY (`idDerechohabienteLng`)
    REFERENCES `relacion_laboral` (`idDerechohabienteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_derechohabiente_cuota_aportacion1`
    FOREIGN KEY (`idDerechohabienteLng`)
    REFERENCES `cuota_aportacion` (`idDerechohabienteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `estado_civil`
    FOREIGN KEY (`idEstadoCivilLng`)
    REFERENCES `estado_civil` (`idEstadoCivilLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `tipo_derechohabiente`
    FOREIGN KEY (`idTipoDerechohabienteLng`)
    REFERENCES `tipo_derechohabiente` (`idTipoDerechohabienteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `grupo_sanguineo`
    FOREIGN KEY (`idGrupoSanguineoLng`)
    REFERENCES `grupo_sanguineo` (`idGrupoSanguineoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `documentos_derechohabiente`
    FOREIGN KEY (`idDerechohabienteLng`)
    REFERENCES `documento_digitalizado` (`idRelacionadoLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_derechohabiente_domicilio1`
    FOREIGN KEY (`domicilio_idDomicilioLng`)
    REFERENCES `domicilio` (`idDomicilioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_derechohabiente_beneficiarios1`
    FOREIGN KEY (`beneficiarios_idBeneficiarioLng`)
    REFERENCES `beneficiarios` (`idBeneficiarioLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_derechohabiente_notificacion1`
    FOREIGN KEY (`notificacion_idNotificacionLng`)
    REFERENCES `notificacion` (`idNotificacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 25862
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `destinatario_mensaje`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `destinatario_mensaje` (
  `idDestinatarioMensajeLng` INT NOT NULL,
  `idMensajeLng` INT NULL,
  `idDestinatarioLng` INT NULL,
  `estatusMensajeDestinatarioStr` VARCHAR(45) NULL,
  PRIMARY KEY (`idDestinatarioMensajeLng`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mesaje`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mensaje` (
  `idMensajeLng` INT NOT NULL,
  `idRemitenteLng` INT NULL,
  `idTipoMensaje` INT NULL,
  `estatusMensajeStr` VARCHAR(45) NULL,
  `tituloMensajeStr` VARCHAR(255) NULL,
  `fechaMensajeDte` DATE NULL,
  `mesajeStr` LONGTEXT NULL,
  `adjuntos` VARCHAR(45) NULL,
  `destinatario_mensaje_idDestinatarioMensajeLng` INT NOT NULL,
  `documento_digitalizado_idDocumentoLng` INT NOT NULL,
  `documento_digitalizado_idRelacionadoLng` INT NOT NULL,
  `documento_digitalizado_idTipoDocumentoLng` INT NOT NULL,
  `documento_digitalizado_nota_auto_idNotaAutoLng` INT NOT NULL,
  PRIMARY KEY (`idMensajeLng`),
  INDEX `fk_mesaje_destinatario_mensaje1_idx` (`destinatario_mensaje_idDestinatarioMensajeLng` ASC) ,
  INDEX `fk_mesaje_documento_digitalizado1_idx` (`documento_digitalizado_idDocumentoLng` ASC, `documento_digitalizado_idRelacionadoLng` ASC, `documento_digitalizado_idTipoDocumentoLng` ASC, `documento_digitalizado_nota_auto_idNotaAutoLng` ASC) ,
  CONSTRAINT `fk_mesaje_destinatario_mensaje1`
    FOREIGN KEY (`destinatario_mensaje_idDestinatarioMensajeLng`)
    REFERENCES `destinatario_mensaje` (`idDestinatarioMensajeLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_mesaje_documento_digitalizado1`
    FOREIGN KEY (`documento_digitalizado_idDocumentoLng` , `documento_digitalizado_idRelacionadoLng` , `documento_digitalizado_idTipoDocumentoLng` , `documento_digitalizado_nota_auto_idNotaAutoLng`)
    REFERENCES `documento_digitalizado` (`idDocumentoLng` , `idRelacionadoLng` , `idTipoDocumentoLng` , `nota_autodeterminacion_idNotaAutodeterminacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `user`
-- -----------------------------------------------------
--CREATE TABLE IF NOT EXISTS `user` (
--  `id` INT NOT NULL AUTO_INCREMENT,
--  `usuario` VARCHAR(20) NULL DEFAULT NULL,
--  `pass` VARCHAR(255) NULL DEFAULT NULL,
--  `nombre` VARCHAR(50) NULL DEFAULT NULL,
--  `apellidos` VARCHAR(50) NULL DEFAULT NULL,
 -- `email` VARCHAR(30) NULL DEFAULT NULL,
--  `pass_email` VARCHAR(20) NULL DEFAULT NULL,
-- `iniciales` VARCHAR(10) NULL DEFAULT NULL,
--  `asignacion_sucursales_idAsignacionSucursalLng` INT NOT NULL,
--  `mesaje_idMensajeLng` INT NOT NULL,
--  `destinatario_mensaje_idDestinatarioMensajeLng` INT NOT NULL,
--  PRIMARY KEY (`id`),
--  UNIQUE INDEX `idUsuario_UNIQUE` (`id` ASC) ,
--  INDEX `fk_usuario_asignacion_sucursales1_idx` (`asignacion_sucursales_idAsignacionSucursalLng` ASC) ,
--  INDEX `fk_usuario_mesaje1_idx` (`mesaje_idMensajeLng` ASC) ,
--  INDEX `fk_usuario_destinatario_mensaje1_idx` (`destinatario_mensaje_idDestinatarioMensajeLng` ASC) ,
--  CONSTRAINT `fk_usuario_asignacion_roles1`
--   FOREIGN KEY (`id`)
--    REFERENCES `asignacion_roles` (`idAsignacionRolesLng`)
--   ON DELETE NO ACTION
--    ON UPDATE NO ACTION,
--  CONSTRAINT `fk_usuario_asignacion_ambito1`
--    FOREIGN KEY (`id`)
--    REFERENCES `asignacion_ambito` (`idAsignacionAmbitoLng`)
--    ON DELETE NO ACTION
--    ON UPDATE NO ACTION,
--  CONSTRAINT `fk_usuario_asignacion_sucursales1`
--    FOREIGN KEY (`asignacion_sucursales_idAsignacionSucursalLng`)
--    REFERENCES `asignacion_sucursales` (`idAsignacionSucursalLng`)
--    ON DELETE NO ACTION
--    ON UPDATE NO ACTION,
--  CONSTRAINT `fk_usuario_mesaje1`
--    FOREIGN KEY (`mesaje_idMensajeLng`)
--   REFERENCES `mesaje` (`idMensajeLng`)
--    ON DELETE NO ACTION
--    ON UPDATE NO ACTION,
--  CONSTRAINT `fk_usuario_destinatario_mensaje1`
--    FOREIGN KEY (`destinatario_mensaje_idDestinatarioMensajeLng`)
--    REFERENCES `destinatario_mensaje` (`idDestinatarioMensajeLng`)
--    ON DELETE NO ACTION
--    ON UPDATE NO ACTION)
--ENGINE = InnoDB
--AUTO_INCREMENT = 150
--DEFAULT CHARACTER SET = utf8
--COLLATE = utf8_spanish_ci;


-- -----------------------------------------------------
-- Table `tipo_baja`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `tipo_baja` (
  `idTipoBajaLng` INT NOT NULL,
  `TipoBajaStr` VARCHAR(255) NOT NULL,
  `periodo_cotizacion_idPeriodoCotizacionLng` INT NOT NULL,
  `notificacion_baja_idNotificacionBajaLng` INT NOT NULL,
  PRIMARY KEY (`idTipoBajaLng`),
  INDEX `fk_tipo_baja_periodo_cotizacion1_idx` (`periodo_cotizacion_idPeriodoCotizacionLng` ASC) ,
  INDEX `fk_tipo_baja_notificacion_baja1_idx` (`notificacion_baja_idNotificacionBajaLng` ASC) ,
  CONSTRAINT `fk_tipo_baja_periodo_cotizacion1`
    FOREIGN KEY (`periodo_cotizacion_idPeriodoCotizacionLng`)
    REFERENCES `periodo_cotizacion` (`idPeriodoCotizacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_tipo_baja_notificacion_baja1`
    FOREIGN KEY (`notificacion_baja_idNotificacionBajaLng`)
    REFERENCES `notificacion_baja` (`idNotificacionBajaLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `motivo_baja`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `motivo_baja` (
  `idMotivoBajaLng` INT NOT NULL,
  `motivoBajaStr` VARCHAR(255) NOT NULL,
  `periodo_cotizacion_idPeriodoCotizacionLng` INT NOT NULL,
  `notificacion_baja_idNotificacionBajaLng` INT NOT NULL,
  PRIMARY KEY (`idMotivoBajaLng`),
  INDEX `fk_motivo_baja_periodo_cotizacion1_idx` (`periodo_cotizacion_idPeriodoCotizacionLng` ASC) ,
  INDEX `fk_motivo_baja_notificacion_baja1_idx` (`notificacion_baja_idNotificacionBajaLng` ASC) ,
  CONSTRAINT `fk_motivo_baja_periodo_cotizacion1`
    FOREIGN KEY (`periodo_cotizacion_idPeriodoCotizacionLng`)
    REFERENCES `periodo_cotizacion` (`idPeriodoCotizacionLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_motivo_baja_notificacion_baja1`
    FOREIGN KEY (`notificacion_baja_idNotificacionBajaLng`)
    REFERENCES `notificacion_baja` (`idNotificacionBajaLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `motivo_modificacion`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `motivo_modificacion` (
  `idMotivoModificacion` INT NOT NULL,
  `motivoModificacionStr` VARCHAR(255) NULL,
  `notificacion_modificacion_idNotificacionModificacion` INT NOT NULL,
  PRIMARY KEY (`idMotivoModificacion`),
  INDEX `fk_motivo_modificacion_notificacion_modificacion1_idx` (`notificacion_modificacion_idNotificacionModificacion` ASC) ,
  CONSTRAINT `fk_motivo_modificacion_notificacion_modificacion1`
    FOREIGN KEY (`notificacion_modificacion_idNotificacionModificacion`)
    REFERENCES `notificacion_modificacion` (`idNotificacionModificacion`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `concepto_cobro`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `concepto_cobro` (
  `idConceptoCobroId` INT NOT NULL,
  `conceptoCobroStr` VARCHAR(255) NOT NULL,
  `concepto_ente_idConceptoEnteLng` INT NOT NULL,
  `movimientos_cobros_idMovimientoCobroLng` INT NOT NULL,
  PRIMARY KEY (`idConceptoCobroId`),
  INDEX `fk_concepto_cobro_concepto_ente1_idx` (`concepto_ente_idConceptoEnteLng` ASC) ,
  INDEX `fk_concepto_cobro_movimientos_cobros1_idx` (`movimientos_cobros_idMovimientoCobroLng` ASC) ,
  CONSTRAINT `fk_concepto_cobro_concepto_ente1`
    FOREIGN KEY (`concepto_ente_idConceptoEnteLng`)
    REFERENCES `concepto_ente` (`idConceptoEnteLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_concepto_cobro_movimientos_cobros1`
    FOREIGN KEY (`movimientos_cobros_idMovimientoCobroLng`)
    REFERENCES `movimientos_cobros` (`idMovimientoCobroLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `linea_pago`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `linea_pago` (
  `idLineaPagoLng` INT NOT NULL,
  `idPropuestaCobroLng` INT NULL,
  `fechaLimitePagoDte` DATE NULL,
  `estatusLineaPagoStr` VARCHAR(45) NULL,
  `propuesta_cobro_idPropuestaCobroLng` INT NOT NULL,
  PRIMARY KEY (`idLineaPagoLng`),
  INDEX `fk_lineaCobro_propuesta_cobro1_idx` (`propuesta_cobro_idPropuestaCobroLng` ASC) ,
  CONSTRAINT `fk_lineaCobro_propuesta_cobro1`
    FOREIGN KEY (`propuesta_cobro_idPropuestaCobroLng`)
    REFERENCES `propuesta_cobro` (`idPropuestaCobroLng`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Bitacora_Automatizada_de_Trazabilidad`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `Bitacora_Automatizada_de_Trazabilidad` (
  `id` INT NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
